	import * as THREE from 'three';

	// Sextupole
	export const sextupoleMaster = sextupole();
	export function sextupole(length=230) {
		const sextupoleMaster = new THREE.Object3D();
		const chamberMaterial = new THREE.MeshLambertMaterial({color: 0xc0c0c0});
		const sextupolematerial = new THREE.MeshLambertMaterial({color: 0xffff00});
		const sextupolegeometry = new THREE.CylinderGeometry(250, 250, length, 6);
		const sextupolemesh = new THREE.Mesh(sextupolegeometry, sextupolematerial);
		sextupoleMaster.add(sextupolemesh);
		const sextupole2geometry = new THREE.CylinderGeometry(290, 290, 30, 50);
		const sextupole2mesh = new THREE.Mesh(sextupole2geometry, chamberMaterial);
		sextupole2mesh.position.set(0, -length/2-15, 0);
		sextupoleMaster.add(sextupole2mesh);
		const sextupole3mesh = new THREE.Mesh(sextupole2geometry, chamberMaterial);
		sextupole3mesh.position.set(0, length/2+15, 0);
		sextupoleMaster.add(sextupole3mesh);
		sextupoleMaster.rotateX(Math.PI * 0.5);
		const sedges = new THREE.EdgesGeometry(sextupolegeometry);
		const sline = new THREE.LineSegments(sedges, new THREE.LineBasicMaterial({color: 0x808000}));
		sextupoleMaster.add(sline);
		return sextupoleMaster;
	}
